/*
Copyright 2023 The Matrix.org Foundation C.I.C.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

.mx_PollHistoryList {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    max-height: 100%;
}

.mx_PollHistoryList_list {
    overflow: auto;
    list-style: none;
    margin-block: 0;
    padding-inline: 0;
    flex: 1 1 0;
    align-content: flex-start;
    display: grid;
    grid-gap: $spacing-20;
    padding-right: $spacing-64;
    margin: $spacing-32 0;

    &.mx_PollHistoryList_list_ENDED {
        grid-gap: $spacing-32;
    }
}

.mx_PollHistoryList_noResults {
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 0 $spacing-64;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;

    line-height: $font-24px;
    color: $secondary-content;

    .mx_PollHistoryList_loadMorePolls {
        margin-top: $spacing-16;
    }
}

.mx_PollHistoryList_loading {
    color: $secondary-content;
    text-align: center;

    /*  center in all free space */
    /*  when there are no results */
    &.mx_PollHistoryList_noResultsYet {
        margin: auto auto;
    }
}

.mx_PollHistoryList_loadMorePolls {
    width: max-content;
}
